 
library IEEE;
use ieee.std_logic_1164.ALL;
entity andgate3_3_1 is
port(
in_1: in std_logic;
in_2: in std_logic;
in_3: in std_logic;
out_1: out std_logic);
end andgate3_3_1;
architecture NXU_beh of andgate3_3_1 is
begin
p1: process(in_1,in_2,in_3)
variable indata: std_logic_vector(2 downto 0);
begin
indata := in_1&in_2&in_3;
case indata is
when "000" =>
out_1 <= '0';
when "100" =>
out_1 <= '0';
when "010" =>
out_1 <= '0';
when "110" =>
out_1 <= '0';
when "001" =>
out_1 <= '0';
when "101" =>
out_1 <= '0';
when "011" =>
out_1 <= '0';
when "111" =>
out_1 <= '1';
when others=>
out_1 <= '0';
end case;
end process p1;
end NXU_beh;

 --******************************************************
  --VHDL compiler

  --ZhangDong&KangCai (2004-2008)
 
  --http://scicoshdl.sourceforge.net

 --******************************************************
